package com.cool.store.mapper;

import com.cool.store.entity.StoreDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StoreMapper {

    StoreDO getByStoreId(@Param("storeId") String storeId);

    List<StoreDO> getEffectiveStoreByStoreIds(@Param("storeIds") List<String> storeIds);
    /**
     * 根据区域Id查询所有门店(包含所有区域子节点)
     * @param regionId
     * @return
     */
    List<StoreDO> listStoreByRegionId(@Param("regionId") String regionId);


    List<String> getStoreNumByStoreIds(@Param("storeIds") List<String> storeIds);

    StoreDO getByStoreNum(@Param("storeNum") String storeNum);

}
